(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.vippsMobilePayCheckoutIFrame = {
    attach(context, drupalSettings) {
      once(
        'vippsMobilePayCheckoutIFrame',
        '#vipps-checkout-frame-container',
        context,
      ).forEach(function (element) {
        // eslint-disable-next-line no-undef
        const vippsCheckout = VippsCheckout({
          checkoutFrontendUrl:
            drupalSettings.vipps_mobilepay_commerce.checkoutFrontendUrl,
          iFrameContainerId: element.id,
          language: 'en',
          token: drupalSettings.vipps_mobilepay_commerce.token,
        });
      });
    },
  };
})(jQuery, Drupal, drupalSettings);
